upstart 0.6.5-2 fails to build

Bug #524484 reported by Scott Moser on 2010-02-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
upstart (Ubuntu)
High
Steve Langasek
Lucid
High
Steve Langasek

Bug Description

Binary package hint: upstart

Upstart 0.6.5-2 fails to build : log at [1]

This blocks from bug 504883 being fixed.

[1] http://launchpadlibrarian.net/39321099/buildlog_ubuntu-lucid-i386.upstart_0.6.5-2_FAILEDTOBUILD.txt.gz

Patch to fix build is:
=== modified file 'udev/upstart-udev-bridge.c'
--- udev/upstart-udev-bridge.c 2010-02-17 15:50:36 +0000
+++ udev/upstart-udev-bridge.c 2010-02-19 15:08:54 +0000
@@ -133,7 +133,7 @@
        nih_assert (udev = udev_new ());
        nih_assert (udev_monitor = udev_monitor_new_from_netlink (udev, "udev"));
        nih_assert (udev_monitor_enable_receiving (udev_monitor) == 0);
- udev_monitor_set_receive_buffer_size(monitor, 128*1024*1024);
+ udev_monitor_set_receive_buffer_size(udev_monitor, 128*1024*1024);

        NIH_MUST (nih_io_add_watch (NULL, udev_monitor_get_fd (udev_monitor),
                                    NIH_IO_READ,

Steve Langasek (vorlon) on 2010-02-19
Changed in upstart (Ubuntu Lucid):
assignee: nobody → Steve Langasek (vorlon)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package upstart - 0.6.5-3

---------------
upstart (0.6.5-3) lucid; urgency=low

  * udev/upstart-udev-bridge.c: use right variable name, fixing a build
    failure. (LP: #524484)
 -- Scott Moser <email address hidden> Fri, 19 Feb 2010 10:21:33 -0500

Changed in upstart (Ubuntu Lucid):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers